# $Revision: 1.16 $, $Date: 2005/10/29 18:47:32 $
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for 1394 Digital Camera Specification
Summary(pl):	Biblioteka dla specyfikacji Kamera Cyfrowa 1394
Name:		libdc1394
Version:	1.1.0
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libdc1394/%{name}-%{version}.tar.gz
# Source0-md5:	5606586f94fc5d6b4ada8d514a405d0f
Patch0:		%{name}-link.patch
URL:		http://sourceforge.net/projects/libdc1394/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libraw1394-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdc1394 is a library that is intended to provide a high level
programming interface for application developers who wish to control
IEEE 1394 based cameras that conform to the 1394-based Digital Camera
Specification (found at http://www.1394ta.org/).

%description -l pl
libdc1394 jest bibliotek, ktrej zaoeniem jest dostarczenie
interfejsu wysokiego poziomu dla twrcw oprogramowania pragncych
sterowa kamerami skonstruowanymi w oparciu o IEEE 1394 zgodnie ze
specyfikacj Kamera Cyfrowa 1394 (dostpn pod
http://www.1394ta.org/).

%package devel
Summary:	libdc1394 header files
Summary(pl):	Pliki nagwkowe libdc1394
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libraw1394-devel

%description devel
libdc1394 header files.

%description devel -l pl
Pliki nagwkowe libdc1394.

%package static
Summary:	Static libdc1394 library
Summary(pl):	Statyczna biblioteka libdc1394
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdc1394 library.

%description static -l pl
Statyczna biblioteka libdc1394.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libdc1394_control.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdc1394_control.so
%{_libdir}/libdc1394_control.la
%{_includedir}/libdc1394

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdc1394_control.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdc1394.spec,v $
Revision 1.16  2005/10/29 18:47:32  arekm
- rel 2

Revision 1.15  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.14  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.13  2005/02/19 17:38:35  qboosh
- updated to 1.1.0 (note: new soname)

Revision 1.12  2004/10/21 21:25:21  qboosh
- updated to 1.0.0

Revision 1.11  2004/07/02 06:37:03  qboosh
- updated to 0.9.5

Revision 1.10  2004/06/05 09:21:53  qboosh
- updated to 0.9.4

Revision 1.9  2004/03/24 09:00:59  qboosh
- release 2

Revision 1.8  2004/03/24 08:58:26  qboosh
- lib64 fix

Revision 1.7  2004/02/22 00:41:36  qboosh
- updated to 0.9.3, added link patch

Revision 1.6  2003/12/07 01:44:10  qboosh
- updated to 0.9.2

Revision 1.5  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.4  2003/08/12 22:32:49  ankry
- cosmetics

Revision 1.3  2003/07/13 10:13:49  qboosh
- cleanup, removed autogenerated symlink
- BR: XFree86-devel (used by one of examples)

Revision 1.2  2003/07/12 22:35:15  ankry
- minor pl fixes

Revision 1.1  2003/07/12 17:56:21  freetz
- initial PLD release
